Bug Hunting Session
Bug 72464 - "Character line break" is set to "0" in "Tools - Options - Language Settings - Writing Aids"
Summary: "Character line break" is set to "0" in "Tools - Options - Language Settings ...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: Other All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:4.3.0 target:4.1.5 target:4.2.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-12-08 07:36 UTC by Thomas Hackert
Modified: 2014-01-10 14:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hackert 2013-12-08 07:36:47 UTC
Good morning @ll,
I hope, I have chosen the right component and severity. IF not, feel free to change it adequate :)

I discovered the following:

If you start LO, go to "Tools – Options – Language Settings – Writing Aids" and scroll down the "Options" part, you will see
<quote>
Character line break 0
</quote>
. But if you doubleclick on it (or mark it and click on "Edit", you will see
<quote>
Character before break 2
</quote>
... :( As it is not possible to set this dialog to anything below 0 (zero), I think, it should correspond it both parts of the UI. Though it is only a blemish, it could confuse users ...

Pedro confirmed it on the QA ML, so it is not only related to my OS/architecture ... ;)

Discovered with 
LO: Version: 4.2.0.0.beta2 Build-ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d (parallel installed with Germanophone lang- as well as helppack)
OS: Debian Testing AMD64

Sorry for the inconvenience
Thomas.
Comment 1 Cor Nouws 2013-12-08 10:01:29 UTC
Hi thomas,

thanks for the report.
Do you have an idea what the 0 and 2 stand for?
Do you have the possibility to test this in older versions (is the same in 4.1.3.2 for me).
(Honestly I've no idea what it all does ;) )
Cor
Comment 2 Pedro 2013-12-08 11:46:40 UTC
Confirmed under Windows XP Pro x86 SP3 en_US

This is a regression from branch 4.0
I have changed the Version to 4.1.3.2 (probably exists earlier in the branch...)

This is an odd bug: if you open LibreOffice (the Start Center) and go to "Tools – Options – Language Settings – Writing Aids" and scroll down the "Options" to "Character line break" it will show 2 as expected

However, if you open LibreOffice Writer and do the same, it will show 0 (zero) but shows 2 when you double click or click the Edit button
Comment 3 Thomas Hackert 2013-12-08 14:27:08 UTC
Hello Cor, *,
(In reply to comment #1)
> thanks for the report.

you are welcome :)

> Do you have an idea what the 0 and 2 stand for?

Somehow ... You could define here, how many characters there should be at the end of a line, before the line break take place. For example: You have the sentence "LibreOffice can be enhanced with further languages." at the end of the line, but only the first to characters of "enhanced" would fit there, then LO would put its line break like "en-hanced" here. If you set this setting to e.g. 3, then LO would not break the line in "enhanced", but before ... ;)

I hope, it is somehow understandable ... ;)

> Do you have the possibility to test this in older versions (is the same in
> 4.1.3.2 for me).

Interestingly, before I have reinstalled Debian a couple of days ago, I could not see it in my 4.1.3.2 version of LO. After I have done it, I can confirm it in 4.1.3.2 as well ... :(

> (Honestly I've no idea what it all does ;) )

I hope, you can understand my explanation above. If not, feel free to ask (though it would be better to do it as PM than to not let this bug report get to bloated ... ;) ).

Thank you for confirming
Thomas.
Comment 4 Commit Notification 2014-01-01 20:40:57 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6a82f67223bf8dd6d417b442e4f895496232a742

Resolves: fdo#72464 Character line break is set to 0 Options/.../Writing Aids



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2014-01-01 20:48:53 UTC
I submitted for review:
- 4.2: https://gerrit.libreoffice.org/#/c/7252/
- 4.1: https://gerrit.libreoffice.org/#/c/7253/
Comment 6 Commit Notification 2014-01-02 20:24:12 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b8303a3e58f0b8d50574126998228d7d71c94728&h=libreoffice-4-1

Resolves: fdo#72464 Character line break is set to 0 Options/.../Writing Aids


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-01-02 20:24:27 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=465954396edf9c34d4f53b4b4afe9f3817f257e3&h=libreoffice-4-2

Resolves: fdo#72464 Character line break is set to 0 Options/.../Writing Aids


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 sophie 2014-01-10 14:24:46 UTC
Verified with version Version: 4.2.0.2
Build ID: 601a398b803303d1a40a3299729531824fe0db56 - set to Closed - Sophie